<div class="cover" {{did-insert this.setup}}>
  <div class="cover-hash cover {{if this.isLoaded 'fade-out'}}" style={{this.hashStyle}}></div>
</div>

<div class="cover-image cover p-2 {{if this.isLoaded 'fade-in'}}" style={{this.style}}>
  {{#if @feature.firstSound}}
    <Browse::Sound @value={{@feature.firstSound}} @minimal={{true}} />
  {{/if}}
  {{! template-lint-disable no-invalid-interactive }}
  <div class="click-area" {{on "click" this.transitionToSite}}>
  </div>
</div>

<img src={{this.pictureUrl}} alt="placeholder" class="d-none" {{on "load" this.loaded}} />

{{! template-lint-disable no-invalid-interactive }}
<div class="card-img-overlay" {{on "click" this.transitionToSite}}>
  <LinkTo @route={{this.route}} @model={{@feature.id}} @query={{hash parentMap=@parentMap}} class="card-title"
    data-route={{this.route}} {{did-insert this.linkRendered}}>
    {{yield}}
    {{#if this.hasPicture}}
      {{@feature.name}}
    {{else}}
      <strong>{{@feature.name}}</strong>
    {{/if}}
  </LinkTo>
</div>